#
# VHA6
#
# Copyright (c) 2019 Varnish Software AS
#
# req.hash_always_miss req/bereq export
#

# Export on req

sub vcl_miss {
	if (req.method !~ "^VHA") {
		if (req.hash_always_miss) {
			set req.http.vha6-force = "true";
		}
	}
}

# Import on bereq

sub vcl_backend_fetch {
	if (bereq.method !~ "^VHA") {
		if (bereq.http.vha6-force == "true") {
			vha6_request.set("force_update", "true");
		}
		unset bereq.http.vha6-force;
	}
}

# EOF
