#
# VHA6
#
# Copyright (c) 2019 Varnish Software AS
#
# Disable VHA6
#

sub vcl_recv {
	if (req.method ~ "^VHA") {
		if (!req.url) {
			call vha6_token_init;
		}
		vha.log("DISABLED");
		return (synth(500, "DISABLED"));
	}
}

sub vcl_vha_internal {
	vha6_request.set("skip", "true");
}

sub vha6_token_init {
	vha6_opts.delete("token");
}

sub vha6_hook_init {
}

# EOF
