#
# VHA6
#
# Copyright (c) 2019 Varnish Software AS
#
# Automatic configuration
# VCL 4.0
#

vcl 4.0;

import blob;
import crypto;
import goto;
import http;
import kvstore;
import std;
import vha;

include "vha6/states/init.vcl";
include "vha6/states/security.vcl";
include "vha6/exports/stevedore.vcl";
include "vha6/exports/slicer.vcl";
include "vha6/exports/brotli.vcl";
include "vha6/exports/crypto.vcl";
include "vha6/exports/esi_40.vcl";
include "vha6/exports/edgestash.vcl";
include "vha6/exports/hash_always_miss.vcl";
include "vha6/exports/xbody.vcl";
include "vha6/exports/ykey.vcl";
include "vha6/exports/fast_304.vcl";
include "vha6/hooks/states.vcl";
include "vha6/states/broadcast.vcl";
include "vha6/states/peer.vcl";
include "vha6/states/origin.vcl";
include "vha6/states/vha_agent.vcl";
include "vha6/states/firewall.vcl";

# EOF
